# Fortune Fortune Files

The `fortune` utility is a fun little utility that, when called, outputs a fortune to `stdout`.

The fortunes are found in (generally) `/usr/share/games/fortunes`. To create you own fortunes, create a text file in that folder (you will need root privileges), and separate each fortune with a `%` sign on a separate line. (See the current files for examples.)

After you save your file, use the `strfile` utility to create a `.dat` file that `fortune` can read. 

Offensive or potentially offensive fortunes should have `-o` appended to the file name and be placed in `/usr/share/games/fortunes/off`. The command `fortune -o` will return a fortune from any file found in that directly.

For more information, see the [fortune(6)](https://manpages.ubuntu.com/manpages/jammy/en/man6/fortune.6.html) and (especially) [strfile(1)](https://manpages.ubuntu.com/manpages/jammy/en/man1/strfile.1.html) pages.

## About these files:

- **kjodlenet** — A list of quotations that appear in the header of [my home page](https://kjodle.net).
